function [DetectionList,yComb,caYLayr] = ToyotaMultiDetection(im,DetectorFNs,StopConditions)
%function [DetectionList,yComb,caYLayr] = ToyotaMultiDetection(im,DetectorFNs,StopConditions)
%
%
nDetectors = length(DetectorFNs);
%get result mask.
for iDet = 1:nDetectors
   load(DetectorFNs{iDet});%-->Model
   YPyr{iDet} = ToyotaFeature_ApplyModelToImage_AllScales(im,Model,16,1/(2).^(1/4),256);
   [yComb(:,:,iDet),caYLayr{iDet}] = CombineToyotaDetectionOutputs(YPyr{iDet});
end
DetectionList = PeakDetection_LocalSuppression(caYLayr);


